- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IDataSource
IItemDataRenderer
IRepeatInfoUser
TActiveFileUpload
TBaseDataList
TBaseValidator
TBoundColumn
TBulletedList
TBulletedListDisplayMode
TBulletedListEventParameter
TBulletStyle
TButton
TButtonColumn
TButtonColumnType
TButtonType
TCaptcha
TCaptchaValidator
TCheckBox
TCheckBoxColumn
TCheckBoxList
TCircleHotSpot
TClientScript
TClientScriptLoader
TClientSideValidationSummaryOptions
TColorPicker
TColorPickerClientSide
TColorPickerMode
TCompareValidator
TCompleteWizardStep
TConditional
TContent
TContentDirection
TContentPlaceHolder
TCustomValidator
TDataBoundControl
TDataGrid
TDataGridColumn
TDataGridColumnCollection
TDataGridCommandEventParameter
TDataGridItem
TDataGridItemCollection
TDataGridItemEventParameter
TDataGridItemRenderer
TDataGridPageChangedEventParameter
TDataGridPager
TDataGridPagerButtonType
TDataGridPagerEventParameter
TDataGridPagerMode
TDataGridPagerPosition
TDataGridPagerStyle
TDataGridSortCommandEventParameter
TDataList
TDataListCommandEventParameter
TDataListItem
TDataListItemCollection
TDataListItemEventParameter
TDataListItemRenderer
TDataRenderer
TDataSourceControl
TDataSourceSelectParameters
TDataSourceView
TDataTypeValidator
TDatePicker
TDatePickerClientScript
TDatePickerInputMode
TDatePickerMode
TDatePickerPositionMode
TDisplayStyle
TDraggable
TDropContainer
TDropDownList
TDropDownListColumn
TEditCommandColumn
TEmailAddressValidator
TExpression
TFileUpload
TFont
THiddenField
THorizontalAlign
THotSpot
THotSpotCollection
THotSpotMode
THtmlArea
THtmlElement
THyperLink
THyperLinkColumn
TImage
TImageButton
TImageClickEventParameter
TImageMap
TImageMapEventParameter
TInlineFrame
TInlineFrameAlign
TInlineFrameScrollBars
TItemDataRenderer
TJavascriptLogger
TKeyboard
TLabel
TLinkButton
TListBox
TListControl
TListControlValidator
TListItem
TListItemCollection
TListItemType
TListSelectionMode
TLiteral
TLiteralColumn
TMarkdown
TMetaTag
TMetaTagCollection
TMultiView
TOutputCache
TOutputCacheCalculateKeyEventParameter
TOutputCacheCheckDependencyEventParameter
TPager
TPagerButtonType
TPagerMode
TPagerPageChangedEventParameter
TPanel
TPanelStyle
TPlaceHolder
TPolygonHotSpot
TRadioButton
TRadioButtonList
TRangeValidationDataType
TRangeValidator
TRatingList
TReadOnlyDataSource
TReadOnlyDataSourceView
TRectangleHotSpot
TRegularExpressionValidator
TRepeatDirection
TRepeater
TRepeaterCommandEventParameter
TRepeaterItem
TRepeaterItemCollection
TRepeaterItemEventParameter
TRepeaterItemRenderer
TRepeatInfo
TRepeatLayout
TRequiredFieldValidator
TSafeHtml
TScrollBars
TServerValidateEventParameter
TSlider
TSliderClientScript
TSliderDirection
TStatements
TStyle
TStyleSheet
TTable
TTableCaptionAlign
TTableCell
TTableCellCollection
TTableFooterRow
TTableGridLines
TTableHeaderCell
TTableHeaderRow
TTableHeaderScope
TTableItemStyle
TTableRow
TTableRowCollection
TTableRowSection
TTableStyle
TTabPanel
TTabView
TTabViewCollection
TTemplateColumn
TTemplatedWizardStep
TTextAlign
TTextBox
TTextBoxAutoCompleteType
TTextBoxMode
TTextHighlighter
TTextHighlighterLineNumberStyle
TValidationCompareOperator
TValidationDataType
TValidationSummary
TValidationSummaryDisplayMode
TValidationSummaryDisplayStyle
TValidatorClientSide
TValidatorDisplayStyle
TVerticalAlign
TView
TViewCollection
TWebControl
TWebControlAdapter
TWizard
TWizardFinishNavigationTemplate
TWizardNavigationButtonStyle
TWizardNavigationButtonType
TWizardNavigationContainer
TWizardNavigationEventParameter
TWizardNavigationTemplate
TWizardSideBarListItemTemplate
TWizardSideBarTemplate
TWizardStartNavigationTemplate
TWizardStep
TWizardStepCollection
TWizardStepNavigationTemplate
TWizardStepType
TXmlTransform

Keyword

# Class TDataListItemRenderer

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TCompositeControl
                |
                --TTemplateControl
                   |
                   --TDataRenderer
                      |
                      --TItemDataRenderer
                         |
                         --TDataListItemRenderer

TDataListItemRenderer class

TDataListItemRenderer can be used as a convenient base class to define an item renderer class specific for TDataList.

TDataListItemRenderer extends TItemDataRenderer and implements the bubbling scheme for the OnCommand event of data list items.

TDataListItemRenderer also implements the IStyleable interface, which allows TDataList to apply CSS styles to the renders.

Since: 3.1.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constants Inherited From TTemplateControl
EXT_TEMPLATE,

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Method Summary
protected void | addAttributesToRender ( THtmlWriter $writer) Adds attribute name-value pairs to renderer.
boolean | bubbleEvent ( TControl $sender, TEventParameter $param) This method overrides parent's implementation by wrapping event parameter for OnCommand event with item information.
void | clearStyle () Removes all style data.
protected TStyle | createStyle () Creates a style object to be used by the control.
boolean | getHasStyle ()
TStyle | getStyle ()
protected string | getTagName () Returns the tag name used for this control.
void | render ( THtmlWriter $writer) Renders the control.
void | renderBeginTag ( THtmlWriter $writer) Renders the openning tag for the control (including attributes) This method is invoked when getTagName is not empty.
void | renderContents ( THtmlWriter $writer) Renders the body content enclosed between the control tag.
void | renderEndTag ( THtmlWriter $writer) Renders the closing tag for the control This method is invoked when getTagName is not empty.

Methods Inherited From TItemDataRenderer
TItemDataRenderer::getItemIndex(), TItemDataRenderer::getItemType(), TItemDataRenderer::setItemIndex(), TItemDataRenderer::setItemType()

Methods Inherited From TDataRenderer
TDataRenderer::getData(), TDataRenderer::setData()

Methods Inherited From TTemplateControl

TTemplateControl::createChildControls(), TTemplateControl::getIsSourceTemplateControl(), TTemplateControl::getMaster(), TTemplateControl::getMasterClass(), TTemplateControl::getTemplate(), TTemplateControl::getTemplateDirectory(), TTemplateControl::initRecursive(), TTemplateControl::injectContent(), TTemplateControl::loadTemplate(), TTemplateControl::registerContent(), TTemplateControl::registerContentPlaceHolder(), TTemplateControl::setMasterClass(), TTemplateControl::setTemplate()

Methods Inherited From TCompositeControl
TCompositeControl::initRecursive()

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary

Method Details

## addAttributesToRender

protected void addAttributesToRender | (THtmlWriter $writer )

Adds attribute name-value pairs to renderer.

By default, this method renders the style string. The method can be overriden to provide customized attribute rendering.

Input
THtmlWriter | $writer | the writer used for the rendering purpose
Output
Exception

## bubbleEvent

public boolean bubbleEvent | (TControl $sender , TEventParameter $param )

This method overrides parent's implementation by wrapping event parameter for OnCommand event with item information.

Input
TControl | $sender | the sender of the event
TEventParameter | $param | event parameter
Output
boolean | whether the event bubbling should stop here.
Exception

## clearStyle

public void clearStyle | ()

Removes all style data.

Output
Exception

## createStyle

protected TStyle createStyle | ()

Creates a style object to be used by the control.

This method may be overriden by controls to provide customized style.

Output
Exception

## getHasStyle

public boolean getHasStyle | ()

Output
boolean | whether the control has defined any style information
Exception

## getStyle

public TStyle getStyle | ()

Output
TStyle | the object representing the css style of the control
Exception

## getTagName

protected string getTagName | ()

Returns the tag name used for this control.

By default, the tag name is 'span'. You can override this method to provide customized tag names. If the tag name is empty, the opening and closing tag will NOT be rendered.

Output
string | tag name of the control to be rendered
Exception

## render

public void render | (THtmlWriter $writer )

Renders the control.

This method overrides the parent implementation by replacing it with the following sequence:

- renderBeginTag
- renderContents
- renderEndTag

If the TagName is empty, only renderContents is invoked.

Input
THtmlWriter | $writer | the writer used for the rendering purpose
Output
Exception

## renderBeginTag

public void renderBeginTag | (THtmlWriter $writer )

Renders the openning tag for the control (including attributes) This method is invoked when getTagName is not empty.

Input
THtmlWriter | $writer | the writer used for the rendering purpose
Output
Exception

## renderContents

public void renderContents | (THtmlWriter $writer )

Renders the body content enclosed between the control tag.

By default, child controls and text strings will be rendered. You can override this method to provide customized content rendering.

Input
THtmlWriter | $writer | the writer used for the rendering purpose
Output
Exception

## renderEndTag

public void renderEndTag | (THtmlWriter $writer )

Renders the closing tag for the control This method is invoked when getTagName is not empty.

Input
THtmlWriter | $writer | the writer used for the rendering purpose
Output
Exception